﻿// JavaScript Document
var admobid = {};
if (/(android)/i.test(navigator.userAgent.toLowerCase())) {
    admobid = {
        banner: 'ca-app-pub-5823479858906972/8815884641',
        interstitial: 'ca-app-pub-5823479858906972/6255330825'
    };
} else if (/(ipod|iphone|ipad)/i.test(navigator.userAgent.toLowerCase())) {
    admobid = {
        banner: 'ca-app-pub-5823479858906972/5862418245',
        interstitial: 'ca-app-pub-5823479858906972/6255330825'
    };
} else {
    admobid = { // for Windows Phone, DUMMY VALUES ONLY
        banner: 'ca-app-pub-5823479858906972/4197036643',
        interstitial: 'ca-app-pub-5823479858906972/6255330825'
    };
}

var gLowerCaseArray = new Array("a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z");
var gUpperCaseArray = new Array("A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z");

var gFruits = "Fruits";
var gVegetables = "Vegetables";
var gInsects = "Insects";
var gMammals = "Mammals";
var gFish = "Fish";
var gBirds = "Birds";
var gVehicles = "Vehicles_And_Transportation";
var gHumanBody = "Parts_Of_The_Body";
var gSports = "Sports";
var gCountriesInAfrica = "Countries_In_Africa";
var gCountriesInEurope = "Countries_In_Europe";
var gCountriesInAsia = "Countries_In_Asia";
var gCountriesInNorthAmerica = "Countries_In_North_America";
var gCountriesInSouthAmerica = "Countries_In_South_America";
var gCitiesInAfrica = "Capital_Cities_In_Africa";
var gCitiesInEurope = "Capital_Cities_In_Europe";
var gCitiesInAsia = "Capital_Cities_In_Asia";
var gCitiesInNorthAmerica = "Capital_Cities_In_North_America";
var gCitiesInSouthAmerica = "Capital_Cities_In_South_America";
var gAstronomy = "Astronomy";
var gLandform = "Landform";

var gTimerOn = "Timer On";
var gTimerOff = "Timer Off";
var gTimerOnOff = gTimerOff;

var gSoundOn = "Sound On";
var gSoundOff = "Sound Off";
var gSoundOnOff = gSoundOff;

document.addEventListener('deviceready', initApp, false);

function initApp() {
    document.removeEventListener('deviceready', initApp, false);
    console.log(Media);
    if (AdMob) {
        AdMob.prepareInterstitial({
            adId: admobid.interstitial,
            autoShow: false
        });
    }
}

function supportsWebStorage() {
    try {
        return 'localStorage' in window && window['localStorage'] !== null;
    }
    catch (e) {
        return false;
    }
}